| Home | Libraries | People | FAQ | More

## Function template from_ftime

boost::posix_time::from_ftime — Function to create a time object from an initialized FILETIME struct.

## Synopsis

    // In header: <boost/date_time/posix_time/conversion.hpp>

    template<typename TimeT, typename FileTimeT>
      TimeT from_ftime(const FileTimeT & ft);

## Description

Function to create a time object from an initialized FILETIME struct. A FILETIME struct holds 100-nanosecond units (0.0000001). When built with microsecond resolution the FILETIME's sub second value will be truncated. Nanosecond resolution has no truncation.

| Note
FILETIME is part of the Win32 API, so it is not portable to non-windows platforms. The function is templated on the FILETIME type, so that it can be used with both native FILETIME and the ad-hoc boost::date_time::winapi::file_time type.